Subject: Re: g++ question: 'smanip' error message
From: [email-masked] (Mumit Khan)

4 Jun 1998 08:02:39 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked] (GNU win32 mailing list)

Albert Koelmans <[email-masked]> writes:
> 
> I am trying to compile someone else's C++ code. Everything goes well until
> the link phase, when I get the error message
> 
>   undefined reference to 'operator<<(ostream &, smanip<int> const &)'
> 
> This operator appears to be present in libstdc++.a, but linking with this
> library makes no difference. Any pointers greatly appreciated - I'm no C++
> guru and I'm stumped.
> 

I can think of three reasons for this:

  1. I had introduced a bug in egcs-1.0 that caused this. A workaround is
     to compile with -O2 and *no* -g.
  2. You have one of the pre-egcs-1.0.2 snapshots that still had the bug.
  3. You're using the compiler distribution with Gnu-Win32 b19. If that's
     the case, this is the least of your problems ;-)

If any of the above, upgrade to egcs-1.0.2; if none applies, then email me
and we'll figure out the problem. See

  http://www.xraylith.wisc.edu/~khan/software/gnu-win32/

for more info on how to upgrade to egcs-1.0.2.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".